Delete
curl --request DELETE \
--url http://{host}:{port}/{contextPath}/history/process-instance/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://{host}:{port}/{contextPath}/history/process-instance/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://{host}:{port}/{contextPath}/history/process-instance/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"message": "<string>",
"code": 123
}历史流程实例
删除
Deletes a process instance from the history by id.
DELETE
/
history
/
process-instance
/
{id}
Delete
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the historic process instance to be deleted.
Query Parameters
If set to false, the request will still be successful if the process id is not found.
Response
Request successful.
⌘I